about summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-03-27 23:18:14 -0400
committerJune McEnroe <june@causal.agency>2019-03-27 23:18:14 -0400
commitd268e957df24b8974186454b11be35c75fa9568b (patch)
tree2a9c11a62159c288a8615dbd9f3dd5eae7b04990 /configure
parentReplace feature test macro with _XOPEN_SOURCE (diff)
downloadcards-d268e957df24b8974186454b11be35c75fa9568b.tar.gz
cards-d268e957df24b8974186454b11be35c75fa9568b.zip
Add "configure" script
Look I'm being all compatible and stuff.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure8
1 files changed, 8 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..ba1718c
--- /dev/null
+++ b/configure
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+cflags=$(pkg-config --cflags sdl2)
+ldlibs=$(pkg-config --libs sdl2)
+cat > config.mk << EOF
+CFLAGS += ${cflags}
+LDLIBS += ${ldlibs}
+EOF
:48:51 -0500'>2020-11-13Add x4 to LESSJune McEnroe 2020-11-04Remove modified sensitivity settingsJune McEnroe 2020-10-29Remove editJune McEnroe 2020-10-27Switch gr alias back to git rebaseJune McEnroe 2020-10-27Allow cd host: to cd to same path over sshJune McEnroe 2020-10-27Use SendEnv for cd host:pathJune McEnroe 2020-10-27Allow cd host:path over sshJune McEnroe 2020-10-07Use mandoc -T utf8 for text.June McEnroe 2020-09-20Add The Awakened KingdomJune McEnroe 2020-09-12Move /opt/local back, cheat port select to use system manJune McEnroe 2020-09-12Move /opt/local behind /usr againJune McEnroe 2020-09-12Enable toc in cgit renderings of man pagesJune McEnroe 2020-09-11Install mandoc on macOSJune McEnroe 2020-09-11Rewrite install script yet againJune McEnroe 2020-09-11Remove NetBSD from install scriptJune McEnroe 2020-09-11Use MacPorts rather than pkgsrcJune McEnroe 2020-09-11Add debian VM name to sshJune McEnroe 2020-09-11Add influencer tweetJune McEnroe 2020-09-10Add The Kingdom of GodsJune McEnroe 2020-09-07Add SunglassesJune McEnroe 2020-09-06Add Between the BreathsJune McEnroe 2020-09-04Open /dev/tty in nudgeJune McEnroe 2020-09-04Add nudgeJune McEnroe 2020-09-03Build fbclock with -lzJune McEnroe 2020-08-29Add tweets from retweetsJune McEnroe